Bug 216732 - mail/postfix-current: update to 3.2-20170129
Summary: mail/postfix-current: update to 3.2-20170129
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-02 17:04 UTC by Piotr Kubaj
Modified: 2017-02-04 08:05 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ohauer)


Attachments
patch (843 bytes, patch)
2017-02-02 17:04 UTC, Piotr Kubaj
no flags Details | Diff
log (837.43 KB, text/x-log)
2017-02-03 07:57 UTC, Piotr Kubaj
no flags Details
log if build with ssl=libressl (2.85 KB, text/plain)
2017-02-03 10:22 UTC, Olli Hauer
no flags Details
svndiff for mail/postfix-current (3.26 KB, patch)
2017-02-03 15:23 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-02-02 17:04:13 UTC
Created attachment 179536 [details]
patch

The update brings support to smtpd_tls_eecdh_grade=auto setting, making it possible to use x25519 elliptic curve, when compiled against libressl-devel or openssl-devel.

Builds fine on Poudriere on 10.3.
Comment 1 Olli Hauer freebsd_committer 2017-02-03 04:28:08 UTC
Hi Piotr,

the new version has so many changes that building against libressl will no longer work.
Unluckily I'm busy at the moment and having nearly no time to fix this but it is one requirement before updating to a new version.
Comment 2 Piotr Kubaj freebsd_committer 2017-02-03 05:20:53 UTC
(In reply to Olli Hauer from comment #1)
What version of LibreSSL do you build against? I did a test build against 2.5.1, it compiles fine.
Comment 3 Piotr Kubaj freebsd_committer 2017-02-03 07:57:10 UTC
Created attachment 179556 [details]
log

I'm uploading a log of building Postfix 3.2-20170129 with LibreSSL 2.5.1, which succeeds.
Comment 4 Olli Hauer freebsd_committer 2017-02-03 10:22:46 UTC
Created attachment 179562 [details]
log if build with ssl=libressl

Hm, have you set the following in /etc/make.conf?

 DEFAULT_VERSIONS+=      ssl=libressl

If not then postfix should builds against the base SSL.

See a quick build log (FreeBSD 11)
Comment 5 Piotr Kubaj freebsd_committer 2017-02-03 10:45:16 UTC
(In reply to Olli Hauer from comment #4)
Yes, it's because LibreSSL 2.5 has changed API, similarly to OpenSSL 1.1.
As you can see from my log, I have ssl=libressl-devel in make.conf.
IMO postfix-current not being able to compile again LibreSSL 2.4 is not a reason against upgrading postfix-current. Users running bleeding-edge software (unstable versions etc.) are supposed to be prepared to such issues. Even then they can just switch to LibreSSL 2.5, which works.

You could set up IGNORE in Makefile if ! ${SSL_DEFAULT:Mlibressl-devel} || ! ${SSL_DEFAULT:Mopenssl-devel} (just pseudocode).

IMO it's not surprising if development versions of software require development (or the newest stable) versions of dependencies :)
Comment 6 Bernard Spil freebsd_committer 2017-02-03 15:23:54 UTC
Created attachment 179568 [details]
svndiff for mail/postfix-current

Fix build with LibreSSL

Obtained from: OpenBSD
Comment 7 commit-hook freebsd_committer 2017-02-04 07:55:43 UTC
A commit references this bug:

Author: ohauer
Date: Sat Feb  4 07:55:30 UTC 2017
New revision: 433285
URL: https://svnweb.freebsd.org/changeset/ports/433285

Log:
  - update to 20170129
  - fix build with libressl < 2.5.x

  Release Notes:
  ftp://ftp.porcupine.org/mirrors/postfix-release/experimental/postfix-3.2-20170129.RELEASE_NOTES

  PR:		216732
  Submitted by:	Bernard Spil
  Reported by:	Piotr Kubaj
  Obtained from:	OpenBSD

Changes:
  head/mail/postfix-current/Makefile
  head/mail/postfix-current/distinfo
  head/mail/postfix-current/files/patch-src_tls_tls__dh.c
Comment 8 Olli Hauer freebsd_committer 2017-02-04 08:05:44 UTC
Committed, Thanks!